import * as PropTypes from "prop-types";
import * as React from "react";
declare type Props = {
    children: Function | React.ReactNode;
    eventProperties?: object | Function;
    instanceName?: string;
    userProperties?: object;
};
export declare function useAmplitude(eventProperties?: object, instanceName?: string): {
    logEvent: (eventType: string, eventPropertiesIn?: object, callback?: any) => void;
    instrument: <T extends Function>(eventType: string, func: T) => T;
    eventProperties: any;
    amplitudeInstance: import("amplitude-js").AmplitudeClient | undefined;
};
export declare function Amplitude(props: Props): JSX.Element;
export declare namespace Amplitude {
    var propTypes: {
        children: PropTypes.Requireable<string | number | boolean | {} | PropTypes.ReactElementLike | PropTypes.ReactNodeArray>;
        eventProperties: PropTypes.Requireable<object>;
        debounceInterval: PropTypes.Requireable<number>;
        instanceName: PropTypes.Requireable<string>;
        userProperties: PropTypes.Requireable<object>;
    };
}
export {};
