import * as PropTypes from "prop-types";
import * as React from "react";
import { AmplitudeClient } from "amplitude-js";
declare type Props = {
    amplitudeInstance: AmplitudeClient;
    apiKey: string;
    userId?: string;
    children: React.ReactNode;
};
declare type AmplitudeContextType = {
    amplitudeInstance?: AmplitudeClient;
    getParentContext?(): AmplitudeContextType;
    eventProperties?: any;
};
export declare const AmplitudeContext: React.Context<AmplitudeContextType>;
export declare function useAmplitudeContext(): AmplitudeContextType;
export declare function AmplitudeProvider(props: Props): JSX.Element;
export declare namespace AmplitudeProvider {
    var propTypes: {
        amplitudeInstance: PropTypes.Validator<object>;
        apiKey: PropTypes.Requireable<string>;
        userId: PropTypes.Requireable<string>;
    };
}
export {};
